Subject: Re: Efficient way to import snapshots?

From: Craig Boston <[email-masked]>
Date: Mon, 30 Jul 2007 16:49:14 -0500

On Mon, Jul 30, 2007 at 02:29:02PM -0700, Junio C Hamano wrote:
> Craig Boston <[email-masked]> writes:
> > 2) Have one repository clone that gets re-used for each import, with the
> >    "checked out" branch getting changed before the import.  As far as I can
> >    tell this means suffering the "git checkout" overhead for 30,000 files,
> >    which is conceptually inefficient but in real time only a minute or so.
> 
> That should only be "conceptually" in fact, as switching between
> branches should not touch paths that are the same between
> branches.

I suspected as much, though in practice almost every file is different
between the branches that I'm tracking.  RELENG_4 and RELENG_6 for
instance have years of development between them, with almost every major
subsystem and API reorganized in some way.

I might have to do a quick compare once I get things imported and see
exactly what the numbers are.

Craig